{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    dont_use_substituters.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install dont_use_substituters.";
    };
  };

  config = lib.mkIf config.me.dont_use_substituters.enable {
    # Disable substituters to avoid risk of cache poisoning.
    nix.settings.substitute = false;
    nix.settings.substituters = lib.mkForce [ ];
  };
}
